Bug 451883 - intel_master_drv.so crashes in memcpy
intel_master_drv.so crashes in memcpy
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-17 18:55 EDT by Scott Tsai
Modified: 2018-04-11 06:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:43:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (386 bytes, application/octet-stream)
2008-06-18 13:03 EDT, Scott Tsai
no flags Details
Xorg.0.log.old (31.25 KB, application/octet-stream)
2008-06-18 13:04 EDT, Scott Tsai
no flags Details

  None (edit)
Description Scott Tsai 2008-06-17 18:55:24 EDT
Description of problem:
intel_master_drv.so crashes in memcpy

Version-Release number of selected component (if applicable):
xorg-x11-drv-i810-2.2.1-24.fc9.x86_64
xorg-x11-server-Xorg-1.4.99.902-3.20080612.fc9.x86_64
totem-xine-2.23.2-2.fc9.x86_64

How reproducible:
Not completely deterministic. Usually crashes in 5 minutes.

Steps to Reproduce:
1. Download video from internet with firefox
2. Double click on file in firefox's download window which opens the totem movie
player
3. Close the totem window and repeat.
  
Actual results:
xorg crashes with this in /var/log/Xorg.0.log:

Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x65) [0x47a5d5]
1: /lib64/libc.so.6 [0x33514322a0]
2: /lib64/libc.so.6(memcpy+0x1e) [0x33514837ee]
3: /usr/lib64/xorg/modules/drivers//intel_master_drv.so [0x175eefa]
4: /usr/bin/Xorg [0x48fdf6]
5: /usr/lib64/xorg/modules/extensions//libextmod.so [0x12ab9b]
6: /usr/bin/Xorg(Dispatch+0x364) [0x4466d4]
7: /usr/bin/Xorg(main+0x45d) [0x42cbbd]
8: /lib64/libc.so.6(__libc_start_main+0xfa) [0x335141e32a]
9: /usr/bin/Xorg(FontFileCompleteXLFD+0x281) [0x42bf99]

Expected results:
xorg not crashing.

Additional info:
Comment 1 Matěj Cepl 2008-06-18 03:05:46 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Scott Tsai 2008-06-18 13:03:32 EDT
Created attachment 309764 [details]
xorg.conf
Comment 3 Scott Tsai 2008-06-18 13:04:00 EDT
Created attachment 309765 [details]
Xorg.0.log.old
Comment 4 Scott Tsai 2008-06-18 13:05:02 EDT
X server config file log attached.
Comment 5 Bug Zapper 2009-06-09 21:40:44 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 13:43:57 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.